-- written by DaddelZeit
-- DO NOT USE WITHOUT PERMISSION

local M = {}

local function checkKLJPCoremod()
    local jsonData = jsonReadFile("/mods/db.json").mods
    local searchFor = jsonReadFile("/scripts/KLJP_verify_saga/search.json")

    local foundTable = {}

    for _ ,v in pairs(searchFor) do
        for k2, _ in pairs(jsonData) do
            if not foundTable[v.zip] then
                if k2 == v.zip then
                    foundTable[v.zip] = true
                end
            end
        end
    end

    -- check if mod is installed
    for _, v in pairs(searchFor) do
        if not foundTable[v.zip] then -- not found
            guihooks.trigger('modmanagerError', 'Ibishu Saga is missing following core mod: "'..v.uiname..'". It may not work correctly!')
        end
    end

    -- check if mod is enabled
    for _, v in pairs(searchFor) do
        if jsonData[v.zip].active == false then -- not found
            guihooks.trigger('modmanagerError', 'Following Ibishu Saga core mod is disabled: "'..v.uiname..'". It may not work correctly!')
        end
    end

    -- core_repository.modSubscribe()
end

M.onExtensionLoaded = function()
    checkKLJPCoremod()
end

M.onFileChanged = function(filename)
    if filename:startswith("/mods/unpacked") then return end
    if filename:startswith("/mods/") and filename:endswith(".json") then -- db.json updated
        checkKLJPCoremod()
    end
end

M.checkKLJPCoremod = checkKLJPCoremod

return M